<template>
  <div class="sliders">
    <el-slider v-model="value" :max="100" :min="0" vertical height="200px" @input="changeSlider">
    </el-slider>
  </div>
</template>

<script>
export default {
  data() {
    return {
      value: 100,
    };
  },
  methods: {
    changeSlider(val) {
      if (window.tdgllayer) {
        window.tdgllayer.state_ &&
          window.tdgllayer.state_.layer.setOpacity(val / 100);
      }
    },
  },
};
</script>

<style scoped>
.sliders {
  position: absolute;
  top: 2rem;
  left: 0.15rem;
  z-index: 88;
}

.el-tooltip__popper {
  z-index: 88 !important;
}
</style>